psiddrv Class Reference

## Public Member Functions

| psiddrv (const SidTuneInfo *tuneInfo)
void | powerOnDelay (uint_least16_t delay)
bool | drvReloc (sidmemory *mem)
void | install (sidmemory *mem) const
const char * | errorString () const
uint_least16_t | driverAddr () const
uint_least16_t | driverLength () const

## Member Function Documentation

bool psiddrv::drvReloc | ( | sidmemory * | mem | ) |

Relocate the driver.

Parameters

  mem | the c64 memory interface

const char* psiddrv::errorString | ( |  | ) | const

inline

Get a detailed error message.

Returns
  a pointer to the string

void psiddrv::install | ( | sidmemory * | mem | ) | const

Install the driver. Must be called after the tune has been placed in memory.

Parameters

  mem | the c64 memory interface

void psiddrv::powerOnDelay | ( | uint_least16_t | delay | ) |

inline

Set the power on delay cycles.

Parameters

  delay | the delay

The documentation for this class was generated from the following files:

- psiddrv.h
- psiddrv.cpp